TC Quick Search Plus

  • Introduction to TCqsp
  • Configure a hotkey for use with TCqsp

  • links

Introduction

TC Quick Search Plus is a program to expand the quicksearch functionality in TC by makeing use of the ignore list.

    Requirements:
  • Total Commander 7.0
    Installation:
  • Unzip the program somewhere.
  • Drag the program to your button bar.
  • Right-click the button, choose change from the context menu.
  • Add to the line that reads parameters %P (just 2 characters P in upper case) to pass the path to the program.
  • Press enter.
  • The program is now ready for use.

use:

  • Run the program by clicking the new button.
  • Type a few letters and observe how the selection in the listbox shrinks while the files and folders that do not match are filtered out.
  • Hit Enter to quit the program and return to TC.
To return to the normal situation, and see all the files again, run the program and hit enter without typing anything.

TCqsp in action:

Have fun with it,
Jaco.

Hotkey

In Total Commander 7 you can assign a hotkey to a user program as well as to an internal command.
We can use this little trick to activate TCqsp wilt the key combination: ctrl-shift-Q

Let's try to set it up!

Step 1: save TCqsp in a convenient location. In the example I use c:\totalcmd\tools

Step 2: go to the configuration page of total commander

Step 3: go to the Misc. section and select your hotkey combination and click on the search icon

Step 4: scroll down in the categories on the left to usercmd.ini and klik on the New.. button

Step 5: enter the name of the new command

Step 6: enter path\filename and parameter %P please note capital P, not lower case p

The new command shows up in the list

Step 7: finally, click the checkmark next to the search icon to apply changes

Links

TCqsp homepage
TCqsp topic on the forum
July 2007
J.Kwak